package error

func NewRaceExinctError(arg ...any) error {
	return newGenericError(ErrRaceExinct, arg...)
}

func NewGameNotInitializedError(arg ...any) error {
	return newGenericError(ErrGameNotInitialized, arg...)
}

func NewReportNotFoundError(arg ...any) error {
	return newGenericError(ErrReportNotFound, arg...)
}

func NewGameStateError(arg ...any) error {
	return newGenericError(ErrGameStateInvalid, arg...)
}

func NewDeleteShipTypeExistingGroupError(arg ...any) error {
	return newGenericError(ErrDeleteShipTypeExistingGroup, arg...)
}

func NewDeleteShipTypePlanetProductionError(arg ...any) error {
	return newGenericError(ErrDeleteShipTypePlanetProduction, arg...)
}

func NewDeleteSciencePlanetProductionError(arg ...any) error {
	return newGenericError(ErrDeleteSciencePlanetProduction, arg...)
}
